#include "X3D_LightingCreator.h"
#include "X3D_DirectionalLight.h"
#include "X3D_PointLight.h"
#include "X3D_SpotLight.h"

namespace X3DTK {
namespace X3D {

LightingCreator::LightingCreator()
{
  defineComponentName("Lighting", "X3D");

  defineNode<DirectionalLight>();
  defineNode<PointLight>();
  defineNode<SpotLight>();
}

LightingCreator::~LightingCreator()
{
}

}
}
