#include "X3D_InlineLoaderCoreVisitor.h"
#include "X3D_Scene.h"
#include "X3D_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

InlineLoaderCoreVisitor::InlineLoaderCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
//  defineEnterFunction(&InlineLoaderCoreVisitor::enterScene);
  defineEnterFunction(&InlineLoaderCoreVisitor::enterX3DNode);

  // WalkOn functions.
//  defineWalkOnFunction(&InlineLoaderCoreVisitor::walkOnX3DNode);
  
  // Leave functions.
  defineLeaveFunction(&InlineLoaderCoreVisitor::leaveX3DNode);
}
/*
void InlineLoaderCoreVisitor::enterScene(Scene *S) 
{
  GL::SFNode GS = stateVariables->getNode(S);
  if (GS == 0)
  {
    GS = new GL::Scene();
    GS->setX3DReference(S);
    stateVariables->addCoupleNode(S, GS);
  }
  stateVariables->pushNode(GS); 
  
  if (chdir(S->getFileName().getPath()) != 0)
    cx3d << "InlineLoaderCoreVisitor::enterScene: unable to set the current working directory to " << S->getFileName().getPath() << "!" << endl; 
}
*/
void InlineLoaderCoreVisitor::enterX3DNode(X3DNode *N) 
{
  InlineLoaderStateVariables *stateVariables = GraphTraversal::getInstanceOf<InlineLoaderStateVariables>();
  stateVariables->pushNode(N);
}
/*
bool InlineLoaderCoreVisitor::walkOnX3DNode(X3DNode *N, SFAbstractNode child) 
{
  return (stateVariables->getTop() != 0);
}
*/
void InlineLoaderCoreVisitor::leaveX3DNode(X3DNode *) 
{
  InlineLoaderStateVariables *stateVariables = GraphTraversal::getInstanceOf<InlineLoaderStateVariables>();
  stateVariables->popNode();
}

}
}
